#import "QmsPlugin.h"

@implementation QmsPlugin
RCT_EXPORT_MODULE()

RCT_EXPORT_METHOD(multiply:(nonnull NSNumber *)a
                  b:(nonnull NSNumber *)b
                  resolver:(RCTPromiseResolveBlock)resolve
                  rejecter:(RCTPromiseRejectBlock)reject)
{
  double result = [a doubleValue] * [b doubleValue];
  resolve(@(result)); // Send result back as a Promise
}

@end
